module.exports = function(grunt) {
    grunt.initConfig({
        compass: {
            dist: {
                options: {
                    config: 'config.rb'
                }
            }
        },

        watch: {
            sass: {
                files: ['resources/assets/css/scss/**/*.scss'],
                tasks: ['compass', 'shell']
            },

            js: {
                files: ['resources/assets/js/**/*.js'],
                tasks: ['shell']
            }
        },

        uglify: {
            options: {
                mangle: false
            },

            vendors: {
                files: {
                    'resources/assets/vendor/all.min.js': [
                        'resources/assets/vendor/jquery/dist/jquery.js',
                        'resources/assets/vendor/jquery-ui/jquery-ui.js',
                        'resources/assets/vendor/jquery.inputmask/dist/jquery.inputmask.bundle.min.js',
                        'resources/assets/vendor/validate/jquery.validate.js',
                        'resources/assets/vendor/jquery-simply-countable/jquery.simplyCountable.js',
                        'resources/assets/vendor/jquery-maskmoney/dist/jquery.maskMoney.js',
                        'resources/assets/vendor/bootstrap/dist/js/bootstrap.min.js',
                        'resources/assets/vendor/medium-editor/dist/js/medium-editor.js',
                        'resources/assets/vendor/medium-editor-list/medium-editor-list.js',
                        'resources/assets/vendor/handlebars/handlebars.runtime.min.js',
                        'resources/assets/vendor/blueimp-file-upload/js/vendor/jquery.ui.widget.js',
                        'resources/assets/vendor/blueimp-file-upload/js/jquery.iframe-transport.js',
                        'resources/assets/vendor/blueimp-file-upload/js/jquery.fileupload.js',
                        'resources/assets/vendor/medium-editor-insert-plugin/dist/js/medium-editor-insert-plugin.min.js',
                        'resources/assets/vendor/selectize/dist/js/standalone/selectize.min.js'
                    ],

                    'resources/assets/vendor/medias.min.js': [
                        'resources/assets/vendor/blueimp-canvas-to-blob/js/canvas-to-blob.min.js',
                        'resources/assets/vendor/blueimp-file-upload/js/jquery.fileupload.js'
                    ],

                    'resources/assets/vendor/medium-editor.min.js': [
                        'resources/assets/vendor/medium-editor/dist/js/medium-editor.js',
                        'resources/assets/vendor/handlebars/handlebars.runtime.min.js',
                        'resources/assets/vendor/jquery-sortable/source/js/jquery-sortable-min.js',
                        'resources/assets/vendor/blueimp-file-upload/js/vendor/jquery.ui.widget.js',
                        'resources/assets/vendor/blueimp-file-upload/js/jquery.iframe-transport.js',
                        'resources/assets/vendor/blueimp-file-upload/js/jquery.fileupload.js',
                        'resources/assets/vendor/medium-editor-insert-plugin/dist/js/medium-editor-insert-plugin.min.js'
                    ]
                }
            }
        },

        shell: {
            // only use when working in the workbench directory
            publish: {
                command: 'php ../../../artisan vendor:publish --tag=public --force',
                options: {
                    stdout: true
                }
            }
        }
    });

    grunt.loadNpmTasks('grunt-contrib-compass');
    grunt.loadNpmTasks('grunt-contrib-uglify');
    grunt.loadNpmTasks('grunt-contrib-watch');
    grunt.loadNpmTasks('grunt-shell');

    grunt.registerTask('default', ['uglify', 'compass', 'shell', 'watch']);
    grunt.registerTask('publish', ['shell']);
}
