(function() {
    var App = App || {};

    App.Pages = {
        init: function() {
            this.fetchElements();
            this.bindUIEvents();
        },

        fetchElements: function() {
            this.$form        = $('#form-page');
            this.$actionTitle = $('#actionTitle');
            this.$actionType  = $('#actionType');
            this.$actions     = $('#actions');
            this.$template    = $('#template-action');

            this.$specificPermissions          = $('#specific_permissions');
            this.$specificPermissionsContainer = $('#specific-permissions-container');

            this.total = $('.js-form-group-page-actions').size();
        },

        bindUIEvents: function() {
            var _this = this;

            this.bindUIAddAction();
            this.bindUIDeleteAction();

            this.$specificPermissions.on('click', function() {
                if ($(this).prop('checked')) {
                    _this.$specificPermissionsContainer.slideDown(250);
                } else {
                    _this.$specificPermissionsContainer.slideUp(250);
                }
            });

            this.$form.on('submit', function() {
                $(this).find('.js-btn-submit').button('loading');
            });
        },

        bindUIAddAction: function() {
            var _this = this;

            $('#js-add-action').on('click', function(e) {
                e.preventDefault();

                _this.addAction();
            });
        },

        bindUIDeleteAction: function() {
            var _this = this;

            $('[data-delete-action]').on('click', function(e) {
                e.preventDefault();

                _this.removeAction($(this));
            });
        },

        addAction: function() {
            var html, title, type, i;

            title = this.$actionTitle.val();
            type  = this.$actionType.val();

            this.total++;
            i = this.total;

            html  = this.$template.html();
            html  = html.replace(/##title##/ig, title);
            html  = html.replace(/##type##/ig, type);
            html  = html.replace(/##i##/ig, i);

            this.$actions.append(html);
            this.clearForm();
            this.listenDeleteAction();
        },

        clearForm: function() {
            this.$actionTitle.val('');
            this.$actionType.val('');
        },

        removeAction: function($btn) {
            var $box1, $box2;

            $box2 = $btn.parent();
            $box1 = $box2.prev();

            $box1.remove();
            $box2.remove();
        }
    };

    App.Pages.init();
}).call(this);
