<div class="form-group">
    <label for="title" class="col-sm-2 control-label">Título do post</label>

    <div class="col-sm-8">
        <input type="text" name="title" id="title" class="form-control" value="{{ $post->title }}" required autofocus>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="cover" class="col-sm-2 control-label">Imagem de capa</label>

    <div class="col-sm-4">
        <input type="file" name="cover" id="cover" accept="image/jpg,image/jpeg,image/png">

        @if ($post->cover)
            <span class="help-block">Apenas selecione a imagem de capa se for alterar</span>
        @endif
    </div><!-- .controls -->

    @if ($post->cover)
        <div class="col-sm-4">
            <p><strong>Imagem de capa atual</strong></p>
            <img src="{{ $post->present->cover(100, 100) }}" alt="{{ $post->name }}" height="100">
        </div><!-- .controls -->
    @endif
</div><!-- .form-group -->

<hr>

<div class="form-group">
    <div class="col-sm-12">
        <textarea name="body" class="hide">{!! $post->body !!}</textarea>
        <div class="editor" data-editor data-name="body"></div>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

@section('scripts')
    @parent
    <script>
    (function() {
        $('.editor').mediumInsert({
            editor: editors[0],
            addons: {
                images: {
                    fileUploadOptions: {
                        url: '/manager/imagens/upload',
                        acceptFileTypes: /(\.|\/)(gif|jpe?g|png)$/i // (regexp) Regexp of accepted file types
                    }
                }
            }
        });

        $('#form-post').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
