@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', ['pages' => ['Esqueci minha senha']])

    @include('manager::partials.page-header', [
        'title'    => trans('manager::password.reset.title'),
        'subtitle' => trans('manager::password.reset.subtitle'),
        'link'     => ['route' => route('manager.auth.login'), 'label' => trans('manager::password.reset.btn.cancel') ]
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.password.reset.update') }}" method="post" id="form-reset-password" class="form-horizontal">
         {!! Form::token() !!}
         <input type="hidden" name="token" value="{{ $token }}">

        <fieldset>
            <div class="form-group">
                <label for="email" class="control-label col-sm-2">{{ trans('manager::password.reset.label.email') }}</label>

                <div class="col-sm-8">
                    <input type="email" name="email" id="email" class="form-control" value="{{ old('email') }}" autofocus>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->

            <div class="form-group">
                <label for="password" class="control-label col-sm-2">{{ trans('manager::password.reset.label.password') }}</label>

                <div class="col-sm-8">
                    <input type="password" name="password" id="password" class="form-control" required>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->

            <div class="form-group">
                <label for="password_confirmation" class="control-label col-sm-2">{{ trans('manager::password.reset.label.password_confirmation') }}</label>

                <div class="col-sm-8">
                    <input type="password" name="password_confirmation" id="password_confirmation" class="form-control" required>
                </div><!-- .col-sm-8 -->
            </div><!-- .form-group -->
        </fieldset>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="{{ trans('manager::password.reset.btn.loading') }}">{{ trans('manager::password.reset.btn.submit') }}</button>
            </div>
        </div>
    </form>
@stop

@section('scripts')
    @parent

    <script type"text/javascript">
        $('#form-reset-password').on('submit', function() {
            $('.js-btn-submit').button('loading');
        });
    </script>
@stop
