<?php

namespace EscapeWork\Manager\Controllers;

use EscapeWork\Manager\Facades\Check;
use Illuminate\Routing\Controller;
use ReflectionClass;
use App, View;

class ManagerController extends Controller
{

    /**
     * The page for check the permissions
     *
     * @var  string
     */
    protected $permissionPage;

    public function __construct()
    {
        $this->user         = App::make('EscapeWork\Manager\Repositories\UserRepository');
        $this->userReminder = App::make('EscapeWork\Manager\Repositories\UserReminderRepository');

        $this->_setPageName();
    }

    protected function _setPageName()
    {
        $reflection = new ReflectionClass($this);
        View::share('page', strtolower(str_replace('Controller', '', $reflection->getShortName())));
    }
}
