<?php

namespace EscapeWork\Manager\Http;

use Illuminate\Foundation\Http\Kernel as HttpKernel;

class Kernel extends HttpKernel {

    public function __construct() { }

    /**
     * The application's global HTTP middleware stack.
     *
     * @var array
     */
    protected $middleware = [];

    /**
     * The application's route middleware.
     *
     * @var array
     */
    protected $routeMiddleware = [
        'manager.authenticated' => 'EscapeWork\Manager\Http\Middleware\IsAuthenticated',
        'manager.guest'         => 'EscapeWork\Manager\Http\Middleware\UnauthorizeIfGuest',
        'manager.hasPermission' => 'EscapeWork\Manager\Http\Middleware\HasPermission',
        'manager.mediable'      => 'EscapeWork\Manager\Http\Middleware\Mediable',
    ];

    public function getMiddlewares()
    {
        return $this->routeMiddleware;
    }
}
